diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
index 965d56e..8b2d8dd 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
@@ -1556,9 +1556,17 @@ define(
                     case "numeric":
                       col_cell = 'number';
                       break;
+                    case "date":
+                    case "reltime":
+                    case "abstime":
                     case "timestamp without time zone":
                     case "timestamp with time zone":
-                      col_cell = 'datetime';
+                    case "time with time zone":
+                    case "time without time zone":
+                    case "interval":
+                      col_cell = Backgrid.DatetimeCell.extend({
+                        formatter: Backgrid.StringFormatter,
+                      });
                       break;
                     case "json":
                     case "json[]":
